using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HesabdariSubSys
{
    public partial class frmReportRooznameBooks : Form
    {
        public frmReportRooznameBooks()
        {
            InitializeComponent();
        }

        private void frmReportRooznameBooks_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'dtsHes.tblRooznameBooks' table. You can move, or remove it, as needed.
            this.tblRooznameBooksTableAdapter.Fill(this.dtsHes.tblRooznameBooks);
            this.tblRooznameBooksBindingSource.DataSource = this.dtsHes.tblRooznameBooks;
            this.reportViewer1.RefreshReport();
            reportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout);
            reportViewer1.ZoomMode = Microsoft.Reporting.WinForms.ZoomMode.Percent;
            reportViewer1.ZoomPercent = 25;
        }

        private void Btn_ShoeSerial_Click(object sender, EventArgs e)
        {
            tblRooznameBooksTableAdapter.FillBySerial(this.dtsHes.tblRooznameBooks, Cmb_Serial.SelectedValue.ToString());
            this.tblRooznameBooksBindingSource.DataSource = this.dtsHes.tblRooznameBooks;
            this.reportViewer1.RefreshReport();
        }

        private void Btn_ShowAll_Click(object sender, EventArgs e)
        {
            this.tblRooznameBooksTableAdapter.Fill(this.dtsHes.tblRooznameBooks);
            this.tblRooznameBooksBindingSource.DataSource = this.dtsHes.tblRooznameBooks;
            this.reportViewer1.RefreshReport();
        }
    }
}
